Havolalar
GET https://biolink.farelix.com/api/links/
curl --request GET \
--url 'https://biolink.farelix.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.farelix.com/api/links/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlar | Tafsilotlar | Tavsif |
|---|---|---|
| search | Ixtiyoriy String | Qidiruv qatori. |
| search_by | Ixtiyoriy String | Qaysi sohada qidiryapsiz. Ruxsat etilgan qiymatlar: url, location_url. |
| is_enabled | Ixtiyoriy Mantiqiy | |
| domain_id | Ixtiyoriy Butun son | |
| type | Ixtiyoriy String |
biolink, link, file, vcard, event, static |
| datetime_field | Ixtiyoriy String | Ruxsat etilgan qiymatlar: datetime, last_datetime |
| datetime_start | Ixtiyoriy String | Ushbu sanadan boshlab natijalarni filtrlang. Y-m-d H:i:s formati. |
| datetime_end | Ixtiyoriy String | Natijalarni shu sanagacha filtrlang. Y-m-d H:i:s formati. |
| order_by | Ixtiyoriy String | Natijalarni qaysi sohada buyurtma qilish kerak. Ruxsat etilgan qiymatlar: link_id, datetime, last_datetime, clicks, url. |
| order_type | Ixtiyoriy String | Natijalarni tartiblash. Ruxsat berilgan qiymatlar: o'sish tartibi uchun ASC va kamayib borayotgan tartib uchun DESC. |
| page | Ixtiyoriy Butun son | Natijani olishni istagan sahifa raqami. Birlamchi 1. |
| results_per_page | Ixtiyoriy Butun son | Har bir sahifada qancha natija olishni xohlaysiz. Ruxsat berilgan qiymatlar: 10, 25, 50, 100, 250, 500, 1000. 25 uchun birlamchi. |
{
"data": [
{
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-11-04 01:18:40",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://biolink.farelix.com/api/links?page=1",
"last": "https://biolink.farelix.com/api/links?page=1",
"next": null,
"prev": null,
"self": "https://biolink.farelix.com/api/links?page=1"
}
}
GET https://biolink.farelix.com/api/links/{link_id}
curl --request GET \
--url 'https://biolink.farelix.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.farelix.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"project_id": null,
"domain_id": 0,
"type": "link",
"url": "example",
"location_url": "https://example.com/",
"settings": {
"password": null,
"sensitive_content": false
},
"clicks": 10,
"order": 0,
"start_date": null,
"end_date": null,
"datetime": "2026-11-04 01:18:40",
}
}
POST https://biolink.farelix.com/api/links
| Parametrlar | Tafsilotlar | Tavsif |
|---|---|---|
| type | Ixtiyoriy String | link |
| location_url | Majburiy String | Belgilangan manzilning URL manzili.Qachon mavjud: is_bulk = 0 |
| location_urls | Majburiy String | Belgilangan manzilning URL manzili.Qachon mavjud: is_bulk = 1 |
| url | Ixtiyoriy String | Yaratilgan havolaning URL taxallus. Tasodifiy yaratilgan uchun bo'sh qoldiring.Qachon mavjud: is_bulk = 0 |
| is_bulk | Ixtiyoriy Mantiqiy | |
| domain_id | Ixtiyoriy Butun son | - |
| project_id | Ixtiyoriy Butun son | - |
| pixels_ids | Ixtiyoriy Massiv Butun son | - |
| email_reports | Ixtiyoriy Massiv | Bildirishnoma ishlov beruvchisi identifikatorlari |
| schedule | Ixtiyoriy Mantiqiy | - |
| start_date | Ixtiyoriy String | Qachon mavjud: schedule = true |
| end_date | Ixtiyoriy String | Qachon mavjud: schedule = true |
| clicks_limit | Ixtiyoriy Butun son | - |
| expiration_url | Ixtiyoriy String | - |
| sensitive_content | Ixtiyoriy Mantiqiy | - |
| http_status_code | Ixtiyoriy Butun son | Ruxsat etilgan qiymatlar: 301, 302, 307, 308 |
| app_linking_is_enabled | Ixtiyoriy Mantiqiy | - |
| cloaking_is_enabled | Ixtiyoriy Mantiqiy | - |
| cloaking_title | Ixtiyoriy String | - |
| cloaking_meta_description | Ixtiyoriy String | - |
| cloaking_custom_js | Ixtiyoriy String | - |
| cloaking_favicon | Ixtiyoriy Fayl | - |
| cloaking_opengraph | Ixtiyoriy Fayl | - |
| password | Ixtiyoriy String | - |
| forward_query_parameters_is_enabled | Ixtiyoriy Mantiqiy | - |
| seo_block | Ixtiyoriy Mantiqiy | - |
| utm_source | Ixtiyoriy String | - |
| utm_medium | Ixtiyoriy String | - |
| utm_campaign | Ixtiyoriy String | - |
| targeting_type | Ixtiyoriy String | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = continent_code |
| targeting_continent_code_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = continent_code |
| targeting_country_code_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = country_code |
| targeting_country_code_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = country_code |
| targeting_city_name_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = city_name |
| targeting_city_name_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = city_name |
| targeting_device_type_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = device_type |
| targeting_device_type_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = device_type |
| targeting_browser_language_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_language |
| targeting_browser_language_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_language |
| targeting_rotation_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = rotation |
| targeting_rotation_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = rotation |
| targeting_os_name_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = os_name |
| targeting_os_name_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = os_name |
| targeting_browser_name_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_name |
| targeting_browser_name_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_name |
curl --request POST \
--url 'https://biolink.farelix.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://biolink.farelix.com/' \
--url 'https://biolink.farelix.com/api/links' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'url=example' \
--form 'location_url=https://biolink.farelix.com/' \
{
"data": {
"id": 1
}
}
POST https://biolink.farelix.com/api/links/{link_id}
| Parametrlar | Tafsilotlar | Tavsif |
|---|---|---|
| location_url | Ixtiyoriy String | Belgilangan manzilning URL manzili. |
| url | Ixtiyoriy String | Yaratilgan havolaning URL taxallus. Tasodifiy yaratilgan uchun bo'sh qoldiring. |
| domain_id | Ixtiyoriy Butun son | - |
| project_id | Ixtiyoriy Butun son | - |
| pixels_ids | Ixtiyoriy Massiv Butun son | - |
| email_reports | Ixtiyoriy Massiv | Bildirishnoma ishlov beruvchisi identifikatorlari |
| schedule | Ixtiyoriy Mantiqiy | - |
| start_date | Ixtiyoriy String | Qachon mavjud: schedule = true |
| end_date | Ixtiyoriy String | Qachon mavjud: schedule = true |
| clicks_limit | Ixtiyoriy Butun son | - |
| expiration_url | Ixtiyoriy String | - |
| sensitive_content | Ixtiyoriy Mantiqiy | - |
| http_status_code | Ixtiyoriy Butun son | Ruxsat etilgan qiymatlar: 301, 302, 307, 308 |
| app_linking_is_enabled | Ixtiyoriy Mantiqiy | - |
| cloaking_is_enabled | Ixtiyoriy Mantiqiy | - |
| cloaking_title | Ixtiyoriy String | - |
| cloaking_meta_description | Ixtiyoriy String | - |
| cloaking_custom_js | Ixtiyoriy String | - |
| cloaking_favicon | Ixtiyoriy Fayl | - |
| cloaking_opengraph | Ixtiyoriy Fayl | - |
| password | Ixtiyoriy String | - |
| forward_query_parameters_is_enabled | Ixtiyoriy Mantiqiy | - |
| seo_block | Ixtiyoriy Mantiqiy | - |
| utm_source | Ixtiyoriy String | - |
| utm_medium | Ixtiyoriy String | - |
| utm_campaign | Ixtiyoriy String | - |
| targeting_type | Ixtiyoriy String | continent_code, country_code, device_type, browser_language, rotation, os_name, browser_name |
| targeting_continent_code_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = continent_code |
| targeting_continent_code_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = continent_code |
| targeting_country_code_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = country_code |
| targeting_country_code_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = country_code |
| targeting_city_name_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = city_name |
| targeting_city_name_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = city_name |
| targeting_device_type_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = device_type |
| targeting_device_type_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = device_type |
| targeting_browser_language_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_language |
| targeting_browser_language_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_language |
| targeting_rotation_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = rotation |
| targeting_rotation_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = rotation |
| targeting_os_name_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = os_name |
| targeting_os_name_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = os_name |
| targeting_browser_name_key[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_name |
| targeting_browser_name_value[index] | Ixtiyoriy String | Qachon mavjud: targeting_type = browser_name |
| is_enabled | Ixtiyoriy Mantiqiy | - |
curl --request POST \
--url 'https://biolink.farelix.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://biolink.farelix.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://biolink.farelix.com/api/links/{link_id}
curl --request DELETE \
--url 'https://biolink.farelix.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://biolink.farelix.com/api/links/{link_id}' \
--header 'Authorization: Bearer {api_key}' \